Unit tadg2r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, ADG2R_p;

function tadg2r: String; 

implementation

function tadg2r: String;
var
M,N,J,I,IERR :Integer;
DET1,DET2,RCOND :Real;
Z :Array [0..3] of Real;
NLEAD :Array [0..3] of Integer;
const
A :Array [0..15] of Real = ( 1.0, 0.42, 0.54, 0.66,0.42, 1.0, 0.32, 0.44,
0.54, 0.32, 1.0, 0.22,0.66, 0.44, 0.22, 1.0 );
begin
Result := '';
M := 4;
N := M;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to M do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ADG2R(A,M,N,NLEAD,DET1,DET2,RCOND,Z,IERR);
Result := Result + Format('%s',['   NLEAD=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('%3d',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  for I:=1 to M do
   begin
    Result := Result + Format('%20.16f',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['  RCOND=']);
Result := Result + Format('%20.16f',[RCOND]) + #$0D#$0A;
Result := Result + Format('%s',['   DET=']);
Result := Result + Format('    %20.16f  %20.16f',[DET1,DET2]) + #$0D#$0A;
UtRes('tadg2r',Result);  {     tadg2r.res }
exit;
end;

end.
